Yast - problem connecting to a software origin

When I click for update in yast I get this message, not every time I update, but most times:

Problem connecting to a software origin There was a (possibly temporary) problem connecting to a software origins.
Please check the detailed error for further details.

I use zypper update and it works as it should (I believe). I don’t get any messages telling me something is wrong, but it’s irritating to get this message when I use yast. Here is the repositories I use;

 zypper lr -d
# | Alias        | Name                        | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                 | Service
--+--------------+-----------------------------+---------+-----------+---------+----------+--------+---------------------------------------------------------------------+--------
1 | packman      | packman                     | Yes     | (r ) Yes  | Yes     |   98     | rpm-md | http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Tumbleweed/ |        
2 | repo-debug   | openSUSE-Tumbleweed-Debug   | No      | ----      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/tumbleweed/repo/oss/             |        
3 | repo-non-oss | openSUSE-Tumbleweed-Non-Oss | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/tumbleweed/repo/non-oss/               |        
4 | repo-source  | openSUSE-Tumbleweed-Source  | No      | ----      | Yes     |   99     | NONE   | http://download.opensuse.org/source/tumbleweed/repo/oss/            |        
5 | repo-update  | openSUSE-Tumbleweed-Update  | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/tumbleweed/                     |        
dag@opensuse:~> 


Does anybody have an idea about what could be wrong?

Dag R

You do not appear to have the main Tumbleweed repository installed. There are no updates for Tumbleweed – the “update” repository just produces test messages.

This is what you need installed and enabled:


 # || Name                       | Enabled | GPG Check | Refresh | URI  

 5 || Packman-Tumbleweed         | Yes     | (r ) Yes  | Yes     | http://packman.inode.at/suse/openSUSE_Tumbleweed/                
 6 || Tumbleweed                 | Yes     | (r ) Yes  | Yes     | http://download.opensuse.org/tumbleweed/repo/oss/                
 7 || Tumbleweed Non-OSS         | Yes     | (r ) Yes  | Yes     | http://download.opensuse.org/tumbleweed/repo/non-oss/            

Hi,

I copied the line from your post, for Tumbleweed main, but the system went unstable. I had problem with the screen start flickering. I remowed the repo for TW main and did a update, and the system was again stable. I shall test this a couple of days, because I changed from Adobe Flash to Pepperflash. This could have affected the stability.

Dag R